package org.jeecg.modules.sensor.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.sensor.entity.BuSensorData;
import org.jeecg.modules.sensor.model.BuSensorModel;

import java.util.List;

/**
 * @Description: 传感器数据表
 * @Author: jeecg-boot
 * @Date:   2020-12-23
 * @Version: V1.0
 */
public interface IBuSensorDataService extends IService<BuSensorData> {

	public List<BuSensorData> getSensorData();

	public BuSensorData selectByMainId(String mainId);

	public BuSensorData getDataByDeviceId(String deviceId);

	public IPage<BuSensorModel> getRealTimeSensorDataByDeviceId(Page page, String deviceId);
}
